Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007426TestLinkInstallerpublic2016-01-27 08:442016-09-08 15:13
Reporterandy.m 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04.3 LTS
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007426: PHP7 - Failed to install with reporting "Checking MySQL Database Failed! MySQL Database cannot be used. "
DescriptionEnv:
Web server: nginx/1.9.9
PHP: 7.0.2-2+deb.sury.org~trusty+1
Database: MySQL Community Server 5.7.10

While installing Testlink, it hangs up at reporting:

Checking PHP DB extensions Warning!: Your PHP installation don't have the mysql extension mysql- without it is IMPOSSIBLE to use Testlink.Failed!

Steps To Reproduce1. Use Internet Explore opens test PHP file below can connect MySQL successfully:

<?php

$dbs = new mysqli("localhost", "root", "root732A1", "Testdb");
if($dbs->connect_errno)
{
        echo $dbs->connect_error;
}
else
{
        echo "DB Connection Succeeded.";

}
?>

2. Use pdo_mysql also can connect MySQL successfully.

3. While running TestLink installtion, it reports:

Checking MySQL Database Failed! MySQL Database cannot be used.

then, click "continue" button and giving the database configurations like database admin login and password on next page, and click "Process TestLink Setup", it reports:

Checking PHP DB extensions Warning!: Your PHP installation don't have the mysql extension mysql- without it is IMPOSSIBLE to use Testlink.Failed!

4. The installation is always through out the errors here and block the installation, never get move forward.
Additional Information1. Install WordPress 4.4.1 on the same system environment, it can install successfully and works well. It demonstrated the LEMP is set successfully.

2. "Mysql_*" is deprecated in PHP7, PHP7 uses "mysqli" and "pdo_mysql" instead, so just wonder whether TestLink 1.9.14 supports PHP7 or not.

3. Please help look at this issue and figure out how TestLink could well support PHP7 and MySQL 5.7, thanks.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL Community Server 5.7.10
BrowserInternet Explorer 11
PHP Version7.0.2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024456)
wthomas (reporter)
2016-01-27 10:37

I am having a similar issue building this on Windows, Used both a built from scratch WIMP stack and a prebuilt bitami wamp stack. Both won't find the database though I can access them through phpmyadmin.
(0024459)
fman (administrator)
2016-01-28 00:29

TestLink has not been tested on PHP 7 and unfortunatelly will not be tested in the short time.

I'me going to block installation on PHP different than 5.x
(0024543)
fman (administrator)
2016-02-26 12:05

changes to support PHP 5.7 has been done and tested with
XAMPP for OS X 7.0.3 => Apache 2.4.18, MariaDB 10.1.10, PHP 7.0.3
(0025283)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-01-27 08:44 andy.m New Issue
2016-01-27 10:37 wthomas Note Added: 0024456
2016-01-28 00:29 fman Note Added: 0024459
2016-01-28 00:30 fman QA Team - Task Workflow Status => TBD
2016-01-28 00:30 fman Priority immediate => normal
2016-02-25 21:47 fman Summary Failed to install with reporting "Checking MySQL Database Failed! MySQL Database cannot be used. " => PHP7 - Failed to install with reporting "Checking MySQL Database Failed! MySQL Database cannot be used. "
2016-02-25 21:47 fman Description Updated View Revisions
2016-02-25 21:48 fman Relationship added child of 0007262
2016-02-26 12:05 fman Note Added: 0024543
2016-02-26 12:06 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-02-26 12:06 fman Status new => resolved
2016-02-26 12:06 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-02-26 12:06 fman Resolution open => fixed
2016-02-26 12:06 fman Assigned To => fman
2016-09-08 15:13 fman Note Added: 0025283
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker